Loading...
Searching...
No Matches
etl::imessage_router_registry::iterator Class Reference

Iterator. More...

`#include <message_router_registry.h>`

## Public Member Functions

| iterator (const iterator &other)
iterator & | operator= (const iterator &other)
etl::imessage_router & | operator* ()
const etl::imessage_router & | operator* () const
etl::imessage_router * | operator-> ()
const etl::imessage_router * | operator-> () const
iterator & | operator++ ()
iterator | operator++ (int)

## Friends

class | imessage_router_registry
class | const_iterator
bool | operator== (const iterator &lhs, const iterator &rhs)
bool | operator!= (const iterator &lhs, const iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, etl::imessage_router * >
typedef etl::imessage_router * | value_type
typedef ptrdiff_t | difference_type
typedef etl::imessage_router ** | pointer
typedef etl::imessage_router *& | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Detailed Description

Iterator.

The documentation for this class was generated from the following file:

- include/etl/message_router_registry.h